%define	upstream_name	 Crypt-SSLeay
%define upstream_version 0.58

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Support for the https protocol under LWP
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{upstream_version}.tar.gz
Patch0:		perl-Crypt-SSLeay-cryptdef.patch

BuildRequires:	openssl-devel
BuildRequires:	perl-devel
BuildRequires:	perl-URI

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1 -b .cryptdef

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README META.yml
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog

* Sat Apr 21 2012 tv <tv> 0.580.0-7.mga2
+ Revision: 232230
- no need to require perl

* Sat Jun 11 2011 sander85 <sander85> 0.580.0-6.mga2
+ Revision: 103885
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.580.0-5.mga1
+ Revision: 30018
- mageia rebuild
- imported package perl-Crypt-SSLeay

